Get target

View as Markdown
  • GET
  • /workspaces
  • /:workspace
  • /targets
  • /:target_id

Get a specific target by ID

Request

REQUIRED SCOPES
TARGET_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

target_idrequiredstring
Target unique identifier (hash ID)

Example: "tgt-1234567890abcdef"

Response

RESPONSE BODY
typerequiredstring enum
The type of the target
Allowed enum:
SSH,
FTP,
GIT,
MATCH,
EC2,
DIGITAL_OCEAN,
VULTR,
UPCLOUD,
GKE,
EKS,
AKS,
DOKS,
K8S_CLUSTER,
MYSQL,
POSTGRESQL,
PROJECT_REPO,
MONGO,
MSSQL,
RDS_MSSQL,
CLICKHOUSE
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idstring
The ID of the target
identifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).
namestring
The name of the target
projectShortProjectView
Short representation of a project
pipelineShortPipelineView
Short representation of a pipeline
environmentShortEnvironmentView
permissionsPermissionsView
Access permissions configuration
pipelines_access_levelstring enum
Pipelines access level for this target
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
allowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this target
sandboxes_access_levelstring enum
Sandboxes access level for this target
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
allowed_sandboxesAllowedSandboxView[]
List of specific sandboxes allowed to use this target
disabledboolean
Indicates if this target is disabled (default: false)
tagsstring[]
The list of tags associated with the target

Constraints: Unique items required

use_asUseAsView
Defines how the target can be used (as deployment target, proxy, or both)
notestring
Note for this resource
agent_notestring
YAML note for AI agents operating on this resource
variantsvariants
Type-specific parameters based on discriminator value

Last modified on Apr 22, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/targets/:target_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/targets/tg-12345", "html_url": "https://app.buddy.works/targets/tg-12345", "id": "tg-12345", "identifier": "production-web-server", "name": "Production Web Server", "type": "SSH", "host": "web.example.com", "port": "22", "path": "/var/www/html", "auth": { "method": "SSH_KEY", "username": "deploy", "asset": "production-ssh-key" }, "tags": [ "production", "web", "deploy" ], "pipelinesAccessLevel": "DENIED", "allowedPipelines": [ { "project": "my-project", "pipeline": "deploy-pipeline" }, { "project": "my-project", "pipeline": "hotfix-pipeline" } ], "permissions": { "others": "READ_ONLY", "users": [ { "id": 42, "access_level": "USE_ONLY" } ], "groups": [] }, "note": "Notes about this resource", "agent_note": "my_custom_field: note for agent" }
STATUS
200 OK